// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: facility.proto

package facility

import (
	context "context"
	_ "github.com/grpc-ecosystem/grpc-gateway/v2/protoc-gen-openapiv2/options"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_facility_proto protoreflect.FileDescriptor

var file_facility_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x08, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x1a, 0x1c, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x41, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61,
	0x79, 0x2f, 0x76, 0x32, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x2d, 0x67, 0x65, 0x6e, 0x2d,
	0x6f, 0x70, 0x65, 0x6e, 0x61, 0x70, 0x69, 0x76, 0x32, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x12, 0x63, 0x61, 0x6e,
	0x6f, 0x70, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x10, 0x73, 0x6c, 0x65, 0x64, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x15, 0x77, 0x69, 0x72, 0x65, 0x67, 0x75, 0x61, 0x72, 0x64, 0x5f, 0x74, 0x79, 0x70,
	0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x6d, 0x65, 0x74, 0x61, 0x6c, 0x5f,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x14, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x32, 0xcd, 0x0a, 0x0a, 0x04, 0x4d, 0x61, 0x72, 0x73, 0x12, 0xa5, 0x01, 0x0a, 0x0b, 0x4d,
	0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x12, 0x1c, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c,
	0x69, 0x74, 0x79, 0x2e, 0x4d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x59, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x53, 0x22,
	0x4e, 0x2f, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x2f, 0x7b, 0x6d,
	0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70,
	0x69, 0x64, 0x7d, 0x2f, 0x7b, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x65, 0x69, 0x64, 0x7d, 0x2f, 0x7b, 0x6d, 0x61, 0x74, 0x65, 0x72,
	0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x72, 0x69, 0x64, 0x7d, 0x3a,
	0x01, 0x2a, 0x12, 0x7d, 0x0a, 0x0d, 0x44, 0x65, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c,
	0x69, 0x7a, 0x65, 0x12, 0x1e, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x44,
	0x65, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x44,
	0x65, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x2b, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x25, 0x22, 0x20, 0x2f, 0x64,
	0x65, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x2f, 0x7b, 0x70, 0x69,
	0x64, 0x7d, 0x2f, 0x7b, 0x65, 0x69, 0x64, 0x7d, 0x2f, 0x7b, 0x72, 0x69, 0x64, 0x7d, 0x3a, 0x01,
	0x2a, 0x12, 0x68, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x17, 0x2e, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x2b,
	0x82, 0xd3, 0xe4, 0x93, 0x02, 0x25, 0x22, 0x20, 0x2f, 0x64, 0x65, 0x6d, 0x61, 0x74, 0x65, 0x72,
	0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x2f, 0x7b, 0x70, 0x69, 0x64, 0x7d, 0x2f, 0x7b, 0x65, 0x69,
	0x64, 0x7d, 0x2f, 0x7b, 0x72, 0x69, 0x64, 0x7d, 0x3a, 0x01, 0x2a, 0x12, 0x44, 0x0a, 0x04, 0x49,
	0x6e, 0x66, 0x6f, 0x12, 0x15, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x49,
	0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x0d, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x07, 0x12, 0x05, 0x2f, 0x69, 0x6e, 0x66,
	0x6f, 0x12, 0x54, 0x0a, 0x09, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x65, 0x74, 0x61, 0x6c, 0x12, 0x1a,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x65,
	0x74, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x65, 0x74, 0x61, 0x6c, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0e, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x08, 0x12,
	0x06, 0x2f, 0x6d, 0x65, 0x74, 0x61, 0x6c, 0x12, 0x48, 0x0a, 0x06, 0x4c, 0x69, 0x73, 0x74, 0x56,
	0x4d, 0x12, 0x17, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x56, 0x4d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x4d, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0b, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x05, 0x12, 0x03, 0x2f, 0x76,
	0x6d, 0x12, 0x4c, 0x0a, 0x07, 0x4c, 0x69, 0x73, 0x74, 0x4e, 0x65, 0x74, 0x12, 0x18, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4e, 0x65, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4e, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x0c, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x06, 0x12, 0x04, 0x2f, 0x6e, 0x65, 0x74, 0x12,
	0x48, 0x0a, 0x06, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x7a, 0x12, 0x17, 0x2e, 0x66, 0x61, 0x63, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x7a, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x18, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x7a, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0b, 0x82, 0xd3,
	0xe4, 0x93, 0x02, 0x05, 0x12, 0x03, 0x2f, 0x6d, 0x7a, 0x12, 0x5e, 0x0a, 0x0d, 0x4c, 0x69, 0x73,
	0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x73, 0x12, 0x1e, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x70,
	0x6f, 0x64, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x70,
	0x6f, 0x64, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0c, 0x82, 0xd3, 0xe4,
	0x93, 0x02, 0x06, 0x12, 0x04, 0x2f, 0x6e, 0x65, 0x74, 0x12, 0x75, 0x0a, 0x14, 0x53, 0x65, 0x74,
	0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x50, 0x6f, 0x77, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74,
	0x65, 0x12, 0x20, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x65, 0x74,
	0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53,
	0x65, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x18, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x12, 0x22, 0x0d,
	0x2f, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x73, 0x74, 0x61, 0x74, 0x65, 0x3a, 0x01, 0x2a,
	0x12, 0x67, 0x0a, 0x0c, 0x49, 0x6e, 0x69, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74,
	0x12, 0x1d, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x49, 0x6e, 0x69, 0x74,
	0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x1e, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x49, 0x6e, 0x69, 0x74, 0x49,
	0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x18, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x12, 0x22, 0x0d, 0x2f, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x3a, 0x01, 0x2a, 0x12, 0x6f, 0x0a, 0x0e, 0x44, 0x65, 0x69,
	0x6e, 0x69, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x12, 0x1f, 0x2e, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x44, 0x65, 0x69, 0x6e, 0x69, 0x74, 0x49, 0x6e, 0x66,
	0x72, 0x61, 0x6e, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x44, 0x65, 0x69, 0x6e, 0x69, 0x74, 0x49, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x1a,
	0x82, 0xd3, 0xe4, 0x93, 0x02, 0x14, 0x22, 0x0f, 0x2f, 0x64, 0x65, 0x69, 0x6e, 0x69, 0x74, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x3a, 0x01, 0x2a, 0x12, 0x84, 0x01, 0x0a, 0x15, 0x43,
	0x6c, 0x65, 0x61, 0x72, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x12, 0x26, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x43, 0x6c, 0x65, 0x61, 0x72, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x52, 0x65, 0x63,
	0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x1a, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x14, 0x22, 0x0f, 0x2f,
	0x63, 0x6c, 0x65, 0x61, 0x72, 0x72, 0x65, 0x63, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x3a, 0x01,
	0x2a, 0x32, 0xb7, 0x01, 0x0a, 0x09, 0x57, 0x69, 0x72, 0x65, 0x67, 0x75, 0x61, 0x72, 0x64, 0x12,
	0x54, 0x0a, 0x09, 0x41, 0x64, 0x64, 0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x12, 0x17, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x2e, 0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x14, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0e, 0x1a, 0x0c, 0x2f, 0x7b, 0x65, 0x6e, 0x63, 0x6c, 0x61,
	0x76, 0x65, 0x69, 0x64, 0x7d, 0x12, 0x54, 0x0a, 0x09, 0x44, 0x65, 0x6c, 0x57, 0x67, 0x50, 0x65,
	0x65, 0x72, 0x12, 0x17, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x57, 0x67,
	0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x14, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0e, 0x2a, 0x0c, 0x2f,
	0x7b, 0x65, 0x6e, 0x63, 0x6c, 0x61, 0x76, 0x65, 0x69, 0x64, 0x7d, 0x32, 0xdb, 0x04, 0x0a, 0x06,
	0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x12, 0x4d, 0x0a, 0x08, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x68,
	0x79, 0x73, 0x12, 0x18, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x50, 0x68, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x68, 0x79, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0c, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x06, 0x12,
	0x04, 0x2f, 0x70, 0x68, 0x79, 0x12, 0x51, 0x0a, 0x09, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x74, 0x65,
	0x70, 0x73, 0x12, 0x19, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x56, 0x74, 0x65, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e,
	0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x74, 0x65,
	0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0d, 0x82, 0xd3, 0xe4, 0x93, 0x02,
	0x07, 0x12, 0x05, 0x2f, 0x76, 0x74, 0x65, 0x70, 0x12, 0x51, 0x0a, 0x09, 0x4c, 0x69, 0x73, 0x74,
	0x56, 0x6c, 0x61, 0x6e, 0x73, 0x12, 0x19, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x6c, 0x61, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x1a, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x56, 0x6c, 0x61, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0d, 0x82, 0xd3,
	0xe4, 0x93, 0x02, 0x07, 0x12, 0x05, 0x2f, 0x76, 0x6c, 0x61, 0x6e, 0x12, 0x58, 0x0a, 0x0a, 0x4c,
	0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x12, 0x1b, 0x2e, 0x66, 0x61, 0x63, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0f, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x09, 0x12, 0x07, 0x2f, 0x61,
	0x63, 0x63, 0x65, 0x73, 0x73, 0x12, 0x55, 0x0a, 0x0a, 0x4c, 0x69, 0x73, 0x74, 0x54, 0x72, 0x75,
	0x6e, 0x6b, 0x73, 0x12, 0x1a, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x1b, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x54,
	0x72, 0x75, 0x6e, 0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0e, 0x82, 0xd3,
	0xe4, 0x93, 0x02, 0x08, 0x12, 0x06, 0x2f, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x12, 0x51, 0x0a, 0x09,
	0x4c, 0x69, 0x73, 0x74, 0x50, 0x65, 0x65, 0x72, 0x73, 0x12, 0x19, 0x2e, 0x66, 0x61, 0x63, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x0d, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x07, 0x12, 0x05, 0x2f, 0x70, 0x65, 0x65, 0x72, 0x12,
	0x58, 0x0a, 0x07, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x6c, 0x6c, 0x12, 0x1e, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x4c, 0x69, 0x73, 0x74,
	0x41, 0x6c, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x4c, 0x69, 0x73, 0x74,
	0x41, 0x6c, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0c, 0x82, 0xd3, 0xe4,
	0x93, 0x02, 0x06, 0x12, 0x04, 0x2f, 0x61, 0x6c, 0x6c, 0x32, 0x49, 0x0a, 0x04, 0x53, 0x6c, 0x65,
	0x64, 0x12, 0x41, 0x0a, 0x04, 0x57, 0x61, 0x69, 0x74, 0x12, 0x19, 0x2e, 0x66, 0x61, 0x63, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x6c, 0x65, 0x64, 0x57, 0x61, 0x69, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x53, 0x6c, 0x65, 0x64, 0x57, 0x61, 0x69, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x28, 0x01, 0x30, 0x01, 0x32, 0x73, 0x0a, 0x05, 0x4d, 0x65, 0x74, 0x61, 0x6c, 0x12, 0x6a, 0x0a,
	0x10, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74,
	0x65, 0x12, 0x21, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x22, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0f, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x09,
	0x12, 0x07, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x65, 0x73, 0x42, 0x98, 0x06, 0x5a, 0x28, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62,
	0x2f, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x61, 0x70, 0x69, 0x3b, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x92, 0x41, 0xea, 0x05, 0x12, 0xb3, 0x02, 0x0a, 0x14, 0x54,
	0x68, 0x65, 0x20, 0x4d, 0x65, 0x72, 0x67, 0x65, 0x54, 0x42, 0x20, 0x4d, 0x61, 0x72, 0x73, 0x20,
	0x41, 0x50, 0x49, 0x12, 0x7f, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x74, 0x68, 0x65,
	0x20, 0x4d, 0x65, 0x72, 0x67, 0x65, 0x54, 0x42, 0x20, 0x4d, 0x61, 0x72, 0x73, 0x20, 0x41, 0x50,
	0x49, 0x2c, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x62, 0x79, 0x20, 0x61, 0x20, 0x4d, 0x65, 0x72,
	0x67, 0x65, 0x20, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x20, 0x74, 0x6f, 0x20, 0x6d, 0x61, 0x74,
	0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x20, 0x65, 0x78, 0x70, 0x65, 0x72, 0x69, 0x6d,
	0x65, 0x6e, 0x74, 0x73, 0x20, 0x6f, 0x6e, 0x20, 0x61, 0x20, 0x4d, 0x65, 0x72, 0x67, 0x65, 0x20,
	0x41, 0x75, 0x74, 0x6f, 0x6d, 0x61, 0x74, 0x65, 0x64, 0x20, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x20, 0x53, 0x75, 0x62, 0x73, 0x74, 0x72, 0x61, 0x74, 0x65, 0x20, 0x28, 0x4d, 0x41,
	0x52, 0x53, 0x29, 0x2e, 0x22, 0x3e, 0x0a, 0x12, 0x54, 0x68, 0x65, 0x20, 0x4d, 0x65, 0x72, 0x67,
	0x65, 0x20, 0x4f, 0x70, 0x73, 0x20, 0x54, 0x65, 0x61, 0x6d, 0x12, 0x17, 0x68, 0x74, 0x74, 0x70,
	0x73, 0x3a, 0x2f, 0x2f, 0x77, 0x77, 0x77, 0x2e, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2e,
	0x6f, 0x72, 0x67, 0x1a, 0x0f, 0x6f, 0x70, 0x73, 0x40, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62,
	0x2e, 0x6f, 0x72, 0x67, 0x2a, 0x55, 0x0a, 0x12, 0x41, 0x70, 0x61, 0x63, 0x68, 0x65, 0x20, 0x32,
	0x2e, 0x30, 0x20, 0x4c, 0x69, 0x63, 0x65, 0x6e, 0x73, 0x65, 0x12, 0x3f, 0x68, 0x74, 0x74, 0x70,
	0x73, 0x3a, 0x2f, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d,
	0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2f, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2f, 0x73, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x2d, 0x2f, 0x72, 0x61, 0x77, 0x2f, 0x6d, 0x61, 0x73,
	0x74, 0x65, 0x72, 0x2f, 0x4c, 0x49, 0x43, 0x45, 0x4e, 0x53, 0x45, 0x32, 0x03, 0x31, 0x2e, 0x30,
	0x5a, 0xb1, 0x03, 0x0a, 0xae, 0x03, 0x0a, 0x06, 0x4f, 0x41, 0x75, 0x74, 0x68, 0x32, 0x12, 0xa3,
	0x03, 0x08, 0x03, 0x12, 0xff, 0x01, 0x41, 0x6c, 0x6c, 0x20, 0x63, 0x61, 0x6c, 0x6c, 0x73, 0x20,
	0x74, 0x68, 0x65, 0x20, 0x74, 0x68, 0x65, 0x20, 0x4d, 0x65, 0x72, 0x67, 0x65, 0x54, 0x42, 0x20,
	0x45, 0x78, 0x70, 0x65, 0x72, 0x69, 0x6d, 0x65, 0x6e, 0x74, 0x65, 0x72, 0x20, 0x41, 0x50, 0x49,
	0x20, 0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x61, 0x75, 0x74, 0x68, 0x65, 0x6e, 0x74,
	0x69, 0x63, 0x61, 0x74, 0x65, 0x64, 0x2e, 0x20, 0x41, 0x75, 0x74, 0x68, 0x65, 0x6e, 0x74, 0x69,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x20, 0x61, 0x72,
	0x65, 0x20, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x65, 0x64, 0x20, 0x69, 0x6e, 0x20, 0x74,
	0x68, 0x65, 0x20, 0x48, 0x54, 0x54, 0x50, 0x20, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x20, 0x61,
	0x73, 0x20, 0x60, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x3a, 0x20, 0x42, 0x65, 0x61, 0x72, 0x65, 0x72, 0x20, 0x3c, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x3e,
	0x60, 0x2e, 0x20, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x20, 0x61, 0x72, 0x65, 0x20, 0x6f, 0x62,
	0x74, 0x61, 0x69, 0x6e, 0x65, 0x64, 0x20, 0x74, 0x68, 0x72, 0x6f, 0x75, 0x67, 0x68, 0x20, 0x73,
	0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x20, 0x4f, 0x41, 0x75, 0x74, 0x68, 0x32, 0x20, 0x61,
	0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x20, 0x66, 0x6c, 0x6f,
	0x77, 0x73, 0x20, 0x61, 0x74, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69,
	0x6e, 0x74, 0x73, 0x20, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x64, 0x20, 0x62,
	0x65, 0x6c, 0x6f, 0x77, 0x2e, 0x28, 0x04, 0x32, 0x2b, 0x68, 0x74, 0x74, 0x70, 0x73, 0x3a, 0x2f,
	0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2e, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x2e, 0x6f, 0x72, 0x79, 0x2f, 0x68, 0x79, 0x64, 0x72, 0x61, 0x2f,
	0x61, 0x75, 0x74, 0x68, 0x3a, 0x33, 0x68, 0x74, 0x74, 0x70, 0x73, 0x3a, 0x2f, 0x2f, 0x6d, 0x65,
	0x72, 0x67, 0x65, 0x74, 0x62, 0x2e, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x2e, 0x6f, 0x72, 0x79, 0x2f, 0x68, 0x79, 0x64, 0x72, 0x61, 0x2f, 0x6f, 0x61, 0x75,
	0x74, 0x68, 0x32, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x42, 0x39, 0x0a, 0x1a, 0x0a, 0x04, 0x72,
	0x65, 0x61, 0x64, 0x12, 0x12, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x73, 0x20, 0x72, 0x65, 0x61, 0x64,
	0x20, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x0a, 0x1b, 0x0a, 0x05, 0x77, 0x72, 0x69, 0x74, 0x65,
	0x12, 0x12, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x73, 0x20, 0x72, 0x65, 0x61, 0x64, 0x20, 0x61, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_facility_proto_goTypes = []interface{}{
	(*MaterializeRequest)(nil),            // 0: facility.MaterializeRequest
	(*DematerializeRequest)(nil),          // 1: facility.DematerializeRequest
	(*StatusRequest)(nil),                 // 2: facility.StatusRequest
	(*InfoRequest)(nil),                   // 3: facility.InfoRequest
	(*ListMetalRequest)(nil),              // 4: facility.ListMetalRequest
	(*ListVMRequest)(nil),                 // 5: facility.ListVMRequest
	(*ListNetRequest)(nil),                // 6: facility.ListNetRequest
	(*ListMzRequest)(nil),                 // 7: facility.ListMzRequest
	(*ListInfrapodsRequest)(nil),          // 8: facility.ListInfrapodsRequest
	(*SetMachineStateRequest)(nil),        // 9: facility.SetMachineStateRequest
	(*InitInfranetRequest)(nil),           // 10: facility.InitInfranetRequest
	(*DeinitInfranetRequest)(nil),         // 11: facility.DeinitInfranetRequest
	(*ClearReconcilerStatusRequest)(nil),  // 12: facility.ClearReconcilerStatusRequest
	(*WgPeerRequest)(nil),                 // 13: facility.WgPeerRequest
	(*ListPhyRequest)(nil),                // 14: facility.ListPhyRequest
	(*ListVtepRequest)(nil),               // 15: facility.ListVtepRequest
	(*ListVlanRequest)(nil),               // 16: facility.ListVlanRequest
	(*ListAccessRequest)(nil),             // 17: facility.ListAccessRequest
	(*ListTrunkRequest)(nil),              // 18: facility.ListTrunkRequest
	(*ListPeerRequest)(nil),               // 19: facility.ListPeerRequest
	(*CanopyListAllRequest)(nil),          // 20: facility.CanopyListAllRequest
	(*SledWaitRequest)(nil),               // 21: facility.SledWaitRequest
	(*ListMachineStateRequest)(nil),       // 22: facility.ListMachineStateRequest
	(*MaterializeResponse)(nil),           // 23: facility.MaterializeResponse
	(*DematerializeResponse)(nil),         // 24: facility.DematerializeResponse
	(*StatusResponse)(nil),                // 25: facility.StatusResponse
	(*InfoResponse)(nil),                  // 26: facility.InfoResponse
	(*ListMetalResponse)(nil),             // 27: facility.ListMetalResponse
	(*ListVMResponse)(nil),                // 28: facility.ListVMResponse
	(*ListNetResponse)(nil),               // 29: facility.ListNetResponse
	(*ListMzResponse)(nil),                // 30: facility.ListMzResponse
	(*ListInfrapodsResponse)(nil),         // 31: facility.ListInfrapodsResponse
	(*SetMachineStateResponse)(nil),       // 32: facility.SetMachineStateResponse
	(*InitInfranetResponse)(nil),          // 33: facility.InitInfranetResponse
	(*DeinitInfranetResponse)(nil),        // 34: facility.DeinitInfranetResponse
	(*ClearReconcilerStatusResponse)(nil), // 35: facility.ClearReconcilerStatusResponse
	(*WgPeerResponse)(nil),                // 36: facility.WgPeerResponse
	(*ListPhyResponse)(nil),               // 37: facility.ListPhyResponse
	(*ListVtepResponse)(nil),              // 38: facility.ListVtepResponse
	(*ListVlanResponse)(nil),              // 39: facility.ListVlanResponse
	(*ListAccessResponse)(nil),            // 40: facility.ListAccessResponse
	(*ListTrunkResponse)(nil),             // 41: facility.ListTrunkResponse
	(*ListPeerResponse)(nil),              // 42: facility.ListPeerResponse
	(*CanopyListAllResponse)(nil),         // 43: facility.CanopyListAllResponse
	(*SledWaitResponse)(nil),              // 44: facility.SledWaitResponse
	(*ListMachineStateResponse)(nil),      // 45: facility.ListMachineStateResponse
}
var file_facility_proto_depIdxs = []int32{
	0,  // 0: facility.Mars.Materialize:input_type -> facility.MaterializeRequest
	1,  // 1: facility.Mars.Dematerialize:input_type -> facility.DematerializeRequest
	2,  // 2: facility.Mars.Status:input_type -> facility.StatusRequest
	3,  // 3: facility.Mars.Info:input_type -> facility.InfoRequest
	4,  // 4: facility.Mars.ListMetal:input_type -> facility.ListMetalRequest
	5,  // 5: facility.Mars.ListVM:input_type -> facility.ListVMRequest
	6,  // 6: facility.Mars.ListNet:input_type -> facility.ListNetRequest
	7,  // 7: facility.Mars.ListMz:input_type -> facility.ListMzRequest
	8,  // 8: facility.Mars.ListInfrapods:input_type -> facility.ListInfrapodsRequest
	9,  // 9: facility.Mars.SetMachinePowerState:input_type -> facility.SetMachineStateRequest
	10, // 10: facility.Mars.InitInfranet:input_type -> facility.InitInfranetRequest
	11, // 11: facility.Mars.DeinitInfranet:input_type -> facility.DeinitInfranetRequest
	12, // 12: facility.Mars.ClearReconcilerStatus:input_type -> facility.ClearReconcilerStatusRequest
	13, // 13: facility.Wireguard.AddWgPeer:input_type -> facility.WgPeerRequest
	13, // 14: facility.Wireguard.DelWgPeer:input_type -> facility.WgPeerRequest
	14, // 15: facility.Canopy.ListPhys:input_type -> facility.ListPhyRequest
	15, // 16: facility.Canopy.ListVteps:input_type -> facility.ListVtepRequest
	16, // 17: facility.Canopy.ListVlans:input_type -> facility.ListVlanRequest
	17, // 18: facility.Canopy.ListAccess:input_type -> facility.ListAccessRequest
	18, // 19: facility.Canopy.ListTrunks:input_type -> facility.ListTrunkRequest
	19, // 20: facility.Canopy.ListPeers:input_type -> facility.ListPeerRequest
	20, // 21: facility.Canopy.ListAll:input_type -> facility.CanopyListAllRequest
	21, // 22: facility.Sled.Wait:input_type -> facility.SledWaitRequest
	22, // 23: facility.Metal.ListMachineState:input_type -> facility.ListMachineStateRequest
	23, // 24: facility.Mars.Materialize:output_type -> facility.MaterializeResponse
	24, // 25: facility.Mars.Dematerialize:output_type -> facility.DematerializeResponse
	25, // 26: facility.Mars.Status:output_type -> facility.StatusResponse
	26, // 27: facility.Mars.Info:output_type -> facility.InfoResponse
	27, // 28: facility.Mars.ListMetal:output_type -> facility.ListMetalResponse
	28, // 29: facility.Mars.ListVM:output_type -> facility.ListVMResponse
	29, // 30: facility.Mars.ListNet:output_type -> facility.ListNetResponse
	30, // 31: facility.Mars.ListMz:output_type -> facility.ListMzResponse
	31, // 32: facility.Mars.ListInfrapods:output_type -> facility.ListInfrapodsResponse
	32, // 33: facility.Mars.SetMachinePowerState:output_type -> facility.SetMachineStateResponse
	33, // 34: facility.Mars.InitInfranet:output_type -> facility.InitInfranetResponse
	34, // 35: facility.Mars.DeinitInfranet:output_type -> facility.DeinitInfranetResponse
	35, // 36: facility.Mars.ClearReconcilerStatus:output_type -> facility.ClearReconcilerStatusResponse
	36, // 37: facility.Wireguard.AddWgPeer:output_type -> facility.WgPeerResponse
	36, // 38: facility.Wireguard.DelWgPeer:output_type -> facility.WgPeerResponse
	37, // 39: facility.Canopy.ListPhys:output_type -> facility.ListPhyResponse
	38, // 40: facility.Canopy.ListVteps:output_type -> facility.ListVtepResponse
	39, // 41: facility.Canopy.ListVlans:output_type -> facility.ListVlanResponse
	40, // 42: facility.Canopy.ListAccess:output_type -> facility.ListAccessResponse
	41, // 43: facility.Canopy.ListTrunks:output_type -> facility.ListTrunkResponse
	42, // 44: facility.Canopy.ListPeers:output_type -> facility.ListPeerResponse
	43, // 45: facility.Canopy.ListAll:output_type -> facility.CanopyListAllResponse
	44, // 46: facility.Sled.Wait:output_type -> facility.SledWaitResponse
	45, // 47: facility.Metal.ListMachineState:output_type -> facility.ListMachineStateResponse
	24, // [24:48] is the sub-list for method output_type
	0,  // [0:24] is the sub-list for method input_type
	0,  // [0:0] is the sub-list for extension type_name
	0,  // [0:0] is the sub-list for extension extendee
	0,  // [0:0] is the sub-list for field type_name
}

func init() { file_facility_proto_init() }
func file_facility_proto_init() {
	if File_facility_proto != nil {
		return
	}
	file_canopy_types_proto_init()
	file_sled_types_proto_init()
	file_wireguard_types_proto_init()
	file_metal_types_proto_init()
	file_facility_types_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_facility_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   5,
		},
		GoTypes:           file_facility_proto_goTypes,
		DependencyIndexes: file_facility_proto_depIdxs,
	}.Build()
	File_facility_proto = out.File
	file_facility_proto_rawDesc = nil
	file_facility_proto_goTypes = nil
	file_facility_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// MarsClient is the client API for Mars service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type MarsClient interface {
	// Materialize an experiment.
	Materialize(ctx context.Context, in *MaterializeRequest, opts ...grpc.CallOption) (*MaterializeResponse, error)
	// Dematerialize an experiment.
	Dematerialize(ctx context.Context, in *DematerializeRequest, opts ...grpc.CallOption) (*DematerializeResponse, error)
	// Request the status of an experiment.
	Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusResponse, error)
	// Information about this Mars instance.
	Info(ctx context.Context, in *InfoRequest, opts ...grpc.CallOption) (*InfoResponse, error)
	// List bare metal resources.
	ListMetal(ctx context.Context, in *ListMetalRequest, opts ...grpc.CallOption) (*ListMetalResponse, error)
	// List virtual machine resources.
	ListVM(ctx context.Context, in *ListVMRequest, opts ...grpc.CallOption) (*ListVMResponse, error)
	// List network elements.
	ListNet(ctx context.Context, in *ListNetRequest, opts ...grpc.CallOption) (*ListNetResponse, error)
	// List materializations.
	ListMz(ctx context.Context, in *ListMzRequest, opts ...grpc.CallOption) (*ListMzResponse, error)
	// List network elements.
	ListInfrapods(ctx context.Context, in *ListInfrapodsRequest, opts ...grpc.CallOption) (*ListInfrapodsResponse, error)
	SetMachinePowerState(ctx context.Context, in *SetMachineStateRequest, opts ...grpc.CallOption) (*SetMachineStateResponse, error)
	InitInfranet(ctx context.Context, in *InitInfranetRequest, opts ...grpc.CallOption) (*InitInfranetResponse, error)
	DeinitInfranet(ctx context.Context, in *DeinitInfranetRequest, opts ...grpc.CallOption) (*DeinitInfranetResponse, error)
	ClearReconcilerStatus(ctx context.Context, in *ClearReconcilerStatusRequest, opts ...grpc.CallOption) (*ClearReconcilerStatusResponse, error)
}

type marsClient struct {
	cc grpc.ClientConnInterface
}

func NewMarsClient(cc grpc.ClientConnInterface) MarsClient {
	return &marsClient{cc}
}

func (c *marsClient) Materialize(ctx context.Context, in *MaterializeRequest, opts ...grpc.CallOption) (*MaterializeResponse, error) {
	out := new(MaterializeResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/Materialize", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) Dematerialize(ctx context.Context, in *DematerializeRequest, opts ...grpc.CallOption) (*DematerializeResponse, error) {
	out := new(DematerializeResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/Dematerialize", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusResponse, error) {
	out := new(StatusResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/Status", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) Info(ctx context.Context, in *InfoRequest, opts ...grpc.CallOption) (*InfoResponse, error) {
	out := new(InfoResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/Info", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) ListMetal(ctx context.Context, in *ListMetalRequest, opts ...grpc.CallOption) (*ListMetalResponse, error) {
	out := new(ListMetalResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/ListMetal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) ListVM(ctx context.Context, in *ListVMRequest, opts ...grpc.CallOption) (*ListVMResponse, error) {
	out := new(ListVMResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/ListVM", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) ListNet(ctx context.Context, in *ListNetRequest, opts ...grpc.CallOption) (*ListNetResponse, error) {
	out := new(ListNetResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/ListNet", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) ListMz(ctx context.Context, in *ListMzRequest, opts ...grpc.CallOption) (*ListMzResponse, error) {
	out := new(ListMzResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/ListMz", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) ListInfrapods(ctx context.Context, in *ListInfrapodsRequest, opts ...grpc.CallOption) (*ListInfrapodsResponse, error) {
	out := new(ListInfrapodsResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/ListInfrapods", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) SetMachinePowerState(ctx context.Context, in *SetMachineStateRequest, opts ...grpc.CallOption) (*SetMachineStateResponse, error) {
	out := new(SetMachineStateResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/SetMachinePowerState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) InitInfranet(ctx context.Context, in *InitInfranetRequest, opts ...grpc.CallOption) (*InitInfranetResponse, error) {
	out := new(InitInfranetResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/InitInfranet", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) DeinitInfranet(ctx context.Context, in *DeinitInfranetRequest, opts ...grpc.CallOption) (*DeinitInfranetResponse, error) {
	out := new(DeinitInfranetResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/DeinitInfranet", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marsClient) ClearReconcilerStatus(ctx context.Context, in *ClearReconcilerStatusRequest, opts ...grpc.CallOption) (*ClearReconcilerStatusResponse, error) {
	out := new(ClearReconcilerStatusResponse)
	err := c.cc.Invoke(ctx, "/facility.Mars/ClearReconcilerStatus", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MarsServer is the server API for Mars service.
type MarsServer interface {
	// Materialize an experiment.
	Materialize(context.Context, *MaterializeRequest) (*MaterializeResponse, error)
	// Dematerialize an experiment.
	Dematerialize(context.Context, *DematerializeRequest) (*DematerializeResponse, error)
	// Request the status of an experiment.
	Status(context.Context, *StatusRequest) (*StatusResponse, error)
	// Information about this Mars instance.
	Info(context.Context, *InfoRequest) (*InfoResponse, error)
	// List bare metal resources.
	ListMetal(context.Context, *ListMetalRequest) (*ListMetalResponse, error)
	// List virtual machine resources.
	ListVM(context.Context, *ListVMRequest) (*ListVMResponse, error)
	// List network elements.
	ListNet(context.Context, *ListNetRequest) (*ListNetResponse, error)
	// List materializations.
	ListMz(context.Context, *ListMzRequest) (*ListMzResponse, error)
	// List network elements.
	ListInfrapods(context.Context, *ListInfrapodsRequest) (*ListInfrapodsResponse, error)
	SetMachinePowerState(context.Context, *SetMachineStateRequest) (*SetMachineStateResponse, error)
	InitInfranet(context.Context, *InitInfranetRequest) (*InitInfranetResponse, error)
	DeinitInfranet(context.Context, *DeinitInfranetRequest) (*DeinitInfranetResponse, error)
	ClearReconcilerStatus(context.Context, *ClearReconcilerStatusRequest) (*ClearReconcilerStatusResponse, error)
}

// UnimplementedMarsServer can be embedded to have forward compatible implementations.
type UnimplementedMarsServer struct {
}

func (*UnimplementedMarsServer) Materialize(context.Context, *MaterializeRequest) (*MaterializeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Materialize not implemented")
}
func (*UnimplementedMarsServer) Dematerialize(context.Context, *DematerializeRequest) (*DematerializeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Dematerialize not implemented")
}
func (*UnimplementedMarsServer) Status(context.Context, *StatusRequest) (*StatusResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Status not implemented")
}
func (*UnimplementedMarsServer) Info(context.Context, *InfoRequest) (*InfoResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Info not implemented")
}
func (*UnimplementedMarsServer) ListMetal(context.Context, *ListMetalRequest) (*ListMetalResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMetal not implemented")
}
func (*UnimplementedMarsServer) ListVM(context.Context, *ListVMRequest) (*ListVMResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListVM not implemented")
}
func (*UnimplementedMarsServer) ListNet(context.Context, *ListNetRequest) (*ListNetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListNet not implemented")
}
func (*UnimplementedMarsServer) ListMz(context.Context, *ListMzRequest) (*ListMzResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMz not implemented")
}
func (*UnimplementedMarsServer) ListInfrapods(context.Context, *ListInfrapodsRequest) (*ListInfrapodsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListInfrapods not implemented")
}
func (*UnimplementedMarsServer) SetMachinePowerState(context.Context, *SetMachineStateRequest) (*SetMachineStateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetMachinePowerState not implemented")
}
func (*UnimplementedMarsServer) InitInfranet(context.Context, *InitInfranetRequest) (*InitInfranetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InitInfranet not implemented")
}
func (*UnimplementedMarsServer) DeinitInfranet(context.Context, *DeinitInfranetRequest) (*DeinitInfranetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeinitInfranet not implemented")
}
func (*UnimplementedMarsServer) ClearReconcilerStatus(context.Context, *ClearReconcilerStatusRequest) (*ClearReconcilerStatusResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ClearReconcilerStatus not implemented")
}

func RegisterMarsServer(s *grpc.Server, srv MarsServer) {
	s.RegisterService(&_Mars_serviceDesc, srv)
}

func _Mars_Materialize_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MaterializeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).Materialize(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/Materialize",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).Materialize(ctx, req.(*MaterializeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_Dematerialize_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DematerializeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).Dematerialize(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/Dematerialize",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).Dematerialize(ctx, req.(*DematerializeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_Status_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).Status(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/Status",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).Status(ctx, req.(*StatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_Info_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).Info(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/Info",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).Info(ctx, req.(*InfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_ListMetal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListMetalRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).ListMetal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/ListMetal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).ListMetal(ctx, req.(*ListMetalRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_ListVM_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListVMRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).ListVM(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/ListVM",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).ListVM(ctx, req.(*ListVMRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_ListNet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListNetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).ListNet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/ListNet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).ListNet(ctx, req.(*ListNetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_ListMz_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListMzRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).ListMz(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/ListMz",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).ListMz(ctx, req.(*ListMzRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_ListInfrapods_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListInfrapodsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).ListInfrapods(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/ListInfrapods",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).ListInfrapods(ctx, req.(*ListInfrapodsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_SetMachinePowerState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetMachineStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).SetMachinePowerState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/SetMachinePowerState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).SetMachinePowerState(ctx, req.(*SetMachineStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_InitInfranet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitInfranetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).InitInfranet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/InitInfranet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).InitInfranet(ctx, req.(*InitInfranetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_DeinitInfranet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeinitInfranetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).DeinitInfranet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/DeinitInfranet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).DeinitInfranet(ctx, req.(*DeinitInfranetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mars_ClearReconcilerStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ClearReconcilerStatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarsServer).ClearReconcilerStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Mars/ClearReconcilerStatus",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarsServer).ClearReconcilerStatus(ctx, req.(*ClearReconcilerStatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Mars_serviceDesc = grpc.ServiceDesc{
	ServiceName: "facility.Mars",
	HandlerType: (*MarsServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Materialize",
			Handler:    _Mars_Materialize_Handler,
		},
		{
			MethodName: "Dematerialize",
			Handler:    _Mars_Dematerialize_Handler,
		},
		{
			MethodName: "Status",
			Handler:    _Mars_Status_Handler,
		},
		{
			MethodName: "Info",
			Handler:    _Mars_Info_Handler,
		},
		{
			MethodName: "ListMetal",
			Handler:    _Mars_ListMetal_Handler,
		},
		{
			MethodName: "ListVM",
			Handler:    _Mars_ListVM_Handler,
		},
		{
			MethodName: "ListNet",
			Handler:    _Mars_ListNet_Handler,
		},
		{
			MethodName: "ListMz",
			Handler:    _Mars_ListMz_Handler,
		},
		{
			MethodName: "ListInfrapods",
			Handler:    _Mars_ListInfrapods_Handler,
		},
		{
			MethodName: "SetMachinePowerState",
			Handler:    _Mars_SetMachinePowerState_Handler,
		},
		{
			MethodName: "InitInfranet",
			Handler:    _Mars_InitInfranet_Handler,
		},
		{
			MethodName: "DeinitInfranet",
			Handler:    _Mars_DeinitInfranet_Handler,
		},
		{
			MethodName: "ClearReconcilerStatus",
			Handler:    _Mars_ClearReconcilerStatus_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "facility.proto",
}

// WireguardClient is the client API for Wireguard service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type WireguardClient interface {
	// Add/update interface peers. (add peers to a gateway interface).
	AddWgPeer(ctx context.Context, in *WgPeerRequest, opts ...grpc.CallOption) (*WgPeerResponse, error)
	// Delete a peer from an gateway interface.
	DelWgPeer(ctx context.Context, in *WgPeerRequest, opts ...grpc.CallOption) (*WgPeerResponse, error)
}

type wireguardClient struct {
	cc grpc.ClientConnInterface
}

func NewWireguardClient(cc grpc.ClientConnInterface) WireguardClient {
	return &wireguardClient{cc}
}

func (c *wireguardClient) AddWgPeer(ctx context.Context, in *WgPeerRequest, opts ...grpc.CallOption) (*WgPeerResponse, error) {
	out := new(WgPeerResponse)
	err := c.cc.Invoke(ctx, "/facility.Wireguard/AddWgPeer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wireguardClient) DelWgPeer(ctx context.Context, in *WgPeerRequest, opts ...grpc.CallOption) (*WgPeerResponse, error) {
	out := new(WgPeerResponse)
	err := c.cc.Invoke(ctx, "/facility.Wireguard/DelWgPeer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// WireguardServer is the server API for Wireguard service.
type WireguardServer interface {
	// Add/update interface peers. (add peers to a gateway interface).
	AddWgPeer(context.Context, *WgPeerRequest) (*WgPeerResponse, error)
	// Delete a peer from an gateway interface.
	DelWgPeer(context.Context, *WgPeerRequest) (*WgPeerResponse, error)
}

// UnimplementedWireguardServer can be embedded to have forward compatible implementations.
type UnimplementedWireguardServer struct {
}

func (*UnimplementedWireguardServer) AddWgPeer(context.Context, *WgPeerRequest) (*WgPeerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddWgPeer not implemented")
}
func (*UnimplementedWireguardServer) DelWgPeer(context.Context, *WgPeerRequest) (*WgPeerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DelWgPeer not implemented")
}

func RegisterWireguardServer(s *grpc.Server, srv WireguardServer) {
	s.RegisterService(&_Wireguard_serviceDesc, srv)
}

func _Wireguard_AddWgPeer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(WgPeerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WireguardServer).AddWgPeer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Wireguard/AddWgPeer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WireguardServer).AddWgPeer(ctx, req.(*WgPeerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wireguard_DelWgPeer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(WgPeerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WireguardServer).DelWgPeer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Wireguard/DelWgPeer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WireguardServer).DelWgPeer(ctx, req.(*WgPeerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Wireguard_serviceDesc = grpc.ServiceDesc{
	ServiceName: "facility.Wireguard",
	HandlerType: (*WireguardServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddWgPeer",
			Handler:    _Wireguard_AddWgPeer_Handler,
		},
		{
			MethodName: "DelWgPeer",
			Handler:    _Wireguard_DelWgPeer_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "facility.proto",
}

// CanopyClient is the client API for Canopy service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CanopyClient interface {
	ListPhys(ctx context.Context, in *ListPhyRequest, opts ...grpc.CallOption) (*ListPhyResponse, error)
	ListVteps(ctx context.Context, in *ListVtepRequest, opts ...grpc.CallOption) (*ListVtepResponse, error)
	ListVlans(ctx context.Context, in *ListVlanRequest, opts ...grpc.CallOption) (*ListVlanResponse, error)
	ListAccess(ctx context.Context, in *ListAccessRequest, opts ...grpc.CallOption) (*ListAccessResponse, error)
	ListTrunks(ctx context.Context, in *ListTrunkRequest, opts ...grpc.CallOption) (*ListTrunkResponse, error)
	ListPeers(ctx context.Context, in *ListPeerRequest, opts ...grpc.CallOption) (*ListPeerResponse, error)
	ListAll(ctx context.Context, in *CanopyListAllRequest, opts ...grpc.CallOption) (*CanopyListAllResponse, error)
}

type canopyClient struct {
	cc grpc.ClientConnInterface
}

func NewCanopyClient(cc grpc.ClientConnInterface) CanopyClient {
	return &canopyClient{cc}
}

func (c *canopyClient) ListPhys(ctx context.Context, in *ListPhyRequest, opts ...grpc.CallOption) (*ListPhyResponse, error) {
	out := new(ListPhyResponse)
	err := c.cc.Invoke(ctx, "/facility.Canopy/ListPhys", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) ListVteps(ctx context.Context, in *ListVtepRequest, opts ...grpc.CallOption) (*ListVtepResponse, error) {
	out := new(ListVtepResponse)
	err := c.cc.Invoke(ctx, "/facility.Canopy/ListVteps", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) ListVlans(ctx context.Context, in *ListVlanRequest, opts ...grpc.CallOption) (*ListVlanResponse, error) {
	out := new(ListVlanResponse)
	err := c.cc.Invoke(ctx, "/facility.Canopy/ListVlans", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) ListAccess(ctx context.Context, in *ListAccessRequest, opts ...grpc.CallOption) (*ListAccessResponse, error) {
	out := new(ListAccessResponse)
	err := c.cc.Invoke(ctx, "/facility.Canopy/ListAccess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) ListTrunks(ctx context.Context, in *ListTrunkRequest, opts ...grpc.CallOption) (*ListTrunkResponse, error) {
	out := new(ListTrunkResponse)
	err := c.cc.Invoke(ctx, "/facility.Canopy/ListTrunks", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) ListPeers(ctx context.Context, in *ListPeerRequest, opts ...grpc.CallOption) (*ListPeerResponse, error) {
	out := new(ListPeerResponse)
	err := c.cc.Invoke(ctx, "/facility.Canopy/ListPeers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) ListAll(ctx context.Context, in *CanopyListAllRequest, opts ...grpc.CallOption) (*CanopyListAllResponse, error) {
	out := new(CanopyListAllResponse)
	err := c.cc.Invoke(ctx, "/facility.Canopy/ListAll", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CanopyServer is the server API for Canopy service.
type CanopyServer interface {
	ListPhys(context.Context, *ListPhyRequest) (*ListPhyResponse, error)
	ListVteps(context.Context, *ListVtepRequest) (*ListVtepResponse, error)
	ListVlans(context.Context, *ListVlanRequest) (*ListVlanResponse, error)
	ListAccess(context.Context, *ListAccessRequest) (*ListAccessResponse, error)
	ListTrunks(context.Context, *ListTrunkRequest) (*ListTrunkResponse, error)
	ListPeers(context.Context, *ListPeerRequest) (*ListPeerResponse, error)
	ListAll(context.Context, *CanopyListAllRequest) (*CanopyListAllResponse, error)
}

// UnimplementedCanopyServer can be embedded to have forward compatible implementations.
type UnimplementedCanopyServer struct {
}

func (*UnimplementedCanopyServer) ListPhys(context.Context, *ListPhyRequest) (*ListPhyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPhys not implemented")
}
func (*UnimplementedCanopyServer) ListVteps(context.Context, *ListVtepRequest) (*ListVtepResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListVteps not implemented")
}
func (*UnimplementedCanopyServer) ListVlans(context.Context, *ListVlanRequest) (*ListVlanResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListVlans not implemented")
}
func (*UnimplementedCanopyServer) ListAccess(context.Context, *ListAccessRequest) (*ListAccessResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListAccess not implemented")
}
func (*UnimplementedCanopyServer) ListTrunks(context.Context, *ListTrunkRequest) (*ListTrunkResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListTrunks not implemented")
}
func (*UnimplementedCanopyServer) ListPeers(context.Context, *ListPeerRequest) (*ListPeerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPeers not implemented")
}
func (*UnimplementedCanopyServer) ListAll(context.Context, *CanopyListAllRequest) (*CanopyListAllResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListAll not implemented")
}

func RegisterCanopyServer(s *grpc.Server, srv CanopyServer) {
	s.RegisterService(&_Canopy_serviceDesc, srv)
}

func _Canopy_ListPhys_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListPhyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).ListPhys(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Canopy/ListPhys",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).ListPhys(ctx, req.(*ListPhyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_ListVteps_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListVtepRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).ListVteps(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Canopy/ListVteps",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).ListVteps(ctx, req.(*ListVtepRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_ListVlans_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListVlanRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).ListVlans(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Canopy/ListVlans",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).ListVlans(ctx, req.(*ListVlanRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_ListAccess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListAccessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).ListAccess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Canopy/ListAccess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).ListAccess(ctx, req.(*ListAccessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_ListTrunks_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListTrunkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).ListTrunks(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Canopy/ListTrunks",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).ListTrunks(ctx, req.(*ListTrunkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_ListPeers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListPeerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).ListPeers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Canopy/ListPeers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).ListPeers(ctx, req.(*ListPeerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_ListAll_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CanopyListAllRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).ListAll(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Canopy/ListAll",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).ListAll(ctx, req.(*CanopyListAllRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Canopy_serviceDesc = grpc.ServiceDesc{
	ServiceName: "facility.Canopy",
	HandlerType: (*CanopyServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListPhys",
			Handler:    _Canopy_ListPhys_Handler,
		},
		{
			MethodName: "ListVteps",
			Handler:    _Canopy_ListVteps_Handler,
		},
		{
			MethodName: "ListVlans",
			Handler:    _Canopy_ListVlans_Handler,
		},
		{
			MethodName: "ListAccess",
			Handler:    _Canopy_ListAccess_Handler,
		},
		{
			MethodName: "ListTrunks",
			Handler:    _Canopy_ListTrunks_Handler,
		},
		{
			MethodName: "ListPeers",
			Handler:    _Canopy_ListPeers_Handler,
		},
		{
			MethodName: "ListAll",
			Handler:    _Canopy_ListAll_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "facility.proto",
}

// SledClient is the client API for Sled service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type SledClient interface {
	Wait(ctx context.Context, opts ...grpc.CallOption) (Sled_WaitClient, error)
}

type sledClient struct {
	cc grpc.ClientConnInterface
}

func NewSledClient(cc grpc.ClientConnInterface) SledClient {
	return &sledClient{cc}
}

func (c *sledClient) Wait(ctx context.Context, opts ...grpc.CallOption) (Sled_WaitClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Sled_serviceDesc.Streams[0], "/facility.Sled/Wait", opts...)
	if err != nil {
		return nil, err
	}
	x := &sledWaitClient{stream}
	return x, nil
}

type Sled_WaitClient interface {
	Send(*SledWaitRequest) error
	Recv() (*SledWaitResponse, error)
	grpc.ClientStream
}

type sledWaitClient struct {
	grpc.ClientStream
}

func (x *sledWaitClient) Send(m *SledWaitRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *sledWaitClient) Recv() (*SledWaitResponse, error) {
	m := new(SledWaitResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// SledServer is the server API for Sled service.
type SledServer interface {
	Wait(Sled_WaitServer) error
}

// UnimplementedSledServer can be embedded to have forward compatible implementations.
type UnimplementedSledServer struct {
}

func (*UnimplementedSledServer) Wait(Sled_WaitServer) error {
	return status.Errorf(codes.Unimplemented, "method Wait not implemented")
}

func RegisterSledServer(s *grpc.Server, srv SledServer) {
	s.RegisterService(&_Sled_serviceDesc, srv)
}

func _Sled_Wait_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(SledServer).Wait(&sledWaitServer{stream})
}

type Sled_WaitServer interface {
	Send(*SledWaitResponse) error
	Recv() (*SledWaitRequest, error)
	grpc.ServerStream
}

type sledWaitServer struct {
	grpc.ServerStream
}

func (x *sledWaitServer) Send(m *SledWaitResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *sledWaitServer) Recv() (*SledWaitRequest, error) {
	m := new(SledWaitRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _Sled_serviceDesc = grpc.ServiceDesc{
	ServiceName: "facility.Sled",
	HandlerType: (*SledServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "Wait",
			Handler:       _Sled_Wait_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "facility.proto",
}

// MetalClient is the client API for Metal service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type MetalClient interface {
	ListMachineState(ctx context.Context, in *ListMachineStateRequest, opts ...grpc.CallOption) (*ListMachineStateResponse, error)
}

type metalClient struct {
	cc grpc.ClientConnInterface
}

func NewMetalClient(cc grpc.ClientConnInterface) MetalClient {
	return &metalClient{cc}
}

func (c *metalClient) ListMachineState(ctx context.Context, in *ListMachineStateRequest, opts ...grpc.CallOption) (*ListMachineStateResponse, error) {
	out := new(ListMachineStateResponse)
	err := c.cc.Invoke(ctx, "/facility.Metal/ListMachineState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MetalServer is the server API for Metal service.
type MetalServer interface {
	ListMachineState(context.Context, *ListMachineStateRequest) (*ListMachineStateResponse, error)
}

// UnimplementedMetalServer can be embedded to have forward compatible implementations.
type UnimplementedMetalServer struct {
}

func (*UnimplementedMetalServer) ListMachineState(context.Context, *ListMachineStateRequest) (*ListMachineStateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListMachineState not implemented")
}

func RegisterMetalServer(s *grpc.Server, srv MetalServer) {
	s.RegisterService(&_Metal_serviceDesc, srv)
}

func _Metal_ListMachineState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListMachineStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetalServer).ListMachineState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/facility.Metal/ListMachineState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetalServer).ListMachineState(ctx, req.(*ListMachineStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Metal_serviceDesc = grpc.ServiceDesc{
	ServiceName: "facility.Metal",
	HandlerType: (*MetalServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListMachineState",
			Handler:    _Metal_ListMachineState_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "facility.proto",
}
